# -*- perl -*-

use PDL::Core::Dev;
use ExtUtils::MakeMaker;

use Cwd;

$package = [ 'cosmo.pd', Cosmology, PDL::Astro::Cosmology ];

%hash = pdlpp_stdargs( $package );

$hash{VERSION_FROM} = 'cosmo.pd';

# what code do we want compiled and linked in?
@wanted = qw( romberg utils );
for $file ( @wanted ) {
    $hash{OBJECT} .= " $file\$(OBJ_EXT)";
}

# need to make this OS specific
push @{ $hash{LIBS} }, "-lm";

WriteMakefile( %hash );

sub MY::postamble {
    pdlpp_postamble($package);
}
