# -*-perl-*-

use ExtUtils::MakeMaker;

my $dirs = [ 'Constants', 'Cosmology' ];

@extras = ();
push(@extras,
     ABSTRACT => 'Useful routines for the PDL-using Astronomer',
     AUTHOR   => 'Doug Burke (dburke@cfa.harvard.edu)' )
    if ($ExtUtils::MakeMaker::Version >= 5.4301);

WriteMakefile(
	      NAME	   => 'PDL::Astro',
	      DIR          => $dirs,
	      VERSION_FROM => 'VERSION',
              dist         => {COMPRESS => 'gzip', SUFFIX => '.gz'},
	      @extras
);

